/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.293 Revision 1.522
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.293 2007/08/17 19:37:18 graaff Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.522 2011/12/29 17:07:46 jer Exp $
4
5 29 Dec 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.9.3_p0.ebuild:
6 Marked ~hppa (bug #332593).
7
8 29 Dec 2011; Hans de Graaff <graaff@gentoo.org> ruby-1.9.3_p0.ebuild:
9 Add back ~alpha keyword now that rubygems is keyworded.
10
11 29 Dec 2011; Agostino Sarubbo <ago@gentoo.org> ruby-1.8.7_p357.ebuild:
12 Stable for AMD64, wrt security bug #396301
13
14*ruby-1.8.7_p357 (28 Dec 2011)
15
16 28 Dec 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.7_p357.ebuild:
17 Version bump for security bug 396301.
18
19 28 Dec 2011; Hans de Graaff <graaff@gentoo.org> ruby-1.9.3_p0.ebuild:
20 Drop alpha, arm, hppa for now since each missing a dependency, bug 332593.
21
22 28 Dec 2011; Hans de Graaff <graaff@gentoo.org> ruby-1.9.3_p0.ebuild:
23 Drop alpha keyword for now because alpha doesn't have a new enough rubygems
24 keyworded, bug 332593.
25
26 28 Dec 2011; Hans de Graaff <graaff@gentoo.org> ruby-1.9.3_p0.ebuild:
27 Block older versions of packages that are no longer compatible. Remove
28 ancient blocks on packags long gone from the tree.
29
30 28 Dec 2011; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p334-r1.ebuild,
31 -ruby-1.8.7_p334-r2.ebuild, -ruby-1.9.2_p290.ebuild, -ruby-1.9.3_rc1.ebuild:
32 Remove old versions.
33
34*ruby-1.9.3_p0 (18 Dec 2011)
35
36 18 Dec 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.9.3_p0.ebuild:
37 Version bump to 1.9.3p0. Still has massive failures in the rubytests test
38 suite which need to be diagnosed first.
39
40 22 Oct 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.9.3_rc1.ebuild:
41 Add workaround for target_arch issue (bug #342819). Marked ~hppa (bug
42 #332593).
43
44 22 Oct 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_p290.ebuild:
45 Add workaround for target_arch issue (bug #342819). Marked ~hppa (bug
46 #332593).
47
48 22 Oct 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p352.ebuild:
49 alpha/ia64/s390/sh/sparc stable wrt #386369
50
51*ruby-1.9.3_rc1 (22 Oct 2011)
52
53 22 Oct 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.9.3_rc1.ebuild:
54 Version bump.
55
56 15 Oct 2011; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p352.ebuild:
57 arm stable, bug #386369
58
59 14 Oct 2011; Andreas Schuerch <nativemad@gentoo.org> ruby-1.8.7_p352.ebuild:
60 x86 stable, bug 386369
61
62 10 Oct 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p352.ebuild:
63 Stable for HPPA (bug #386369).
64
65 09 Oct 2011; Kacper Kowalik <xarthisius@gentoo.org> ruby-1.8.7_p352.ebuild:
66 ppc/ppc64 stable wrt #386369
67
68 09 Oct 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p352.ebuild:
69 Stable on amd64 wrt bug #386369
70
71 09 Oct 2011; Hans de Graaff <graaff@gentoo.org> -ruby-1.9.2-r1.ebuild:
72 Remove vulnerable version, bug 386369.
73
74*ruby-1.8.7_p352 (30 Aug 2011)
75
76 30 Aug 2011; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p334.ebuild,
77 +ruby-1.8.7_p352.ebuild:
78 Patchlevel bump for ruby:1.8. Removing old version
79
80*ruby-1.9.2_p290 (30 Aug 2011)
81
82 30 Aug 2011; Alex Legler <a3li@gentoo.org> -ruby-1.9.2_rc2-r1.ebuild,
83 -ruby-1.9.2.ebuild, +ruby-1.9.2_p290.ebuild:
84 Patchlevel bump. Thanks to Shota Fukumori for proposing an ebuild. Removing
85 old patchlevels.
86
87 10 Aug 2011; Kacper Kowalik <xarthisius@gentoo.org>
88 ruby-1.8.7_p334-r2.ebuild:
89 ppc/ppc64 stable wrt #378691
90
91*ruby-1.8.7_p334-r2 (22 Jul 2011)
92
93 22 Jul 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.7_p334-r2.ebuild:
94 Add patch to fix threading bug on ppc64, bug 375075. Thanks to Kacper Kowalik
95 for chasing down upstream and us.
96
97 15 Jul 2011; Matt Turner <mattst88@gentoo.org> ruby-1.9.2-r1.ebuild:
98 Added ~mips, bug 332593
99
100 07 Jun 2011; Kacper Kowalik <xarthisius@gentoo.org>
101 ruby-1.8.7_p334-r1.ebuild:
102 ppc64 stable wrt #369141
103
104 03 Jun 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
105 ia64/s390/sh/sparc stable wrt #369141
106
107 03 Jun 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
108 Stable for HPPA (bug #369141).
109
110 03 Jun 2011; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
111 Marking ruby-1.8.7_p334-r1 ppc for bug 369141
112
113 02 Jun 2011; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
114 arm/x86 stable, bug #369141
115
116 01 Jun 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
117 Stable on amd64 wrt bug #369141
118
119 01 Jun 2011; Tobias Klausmann <klausman@gentoo.org>
120 ruby-1.8.7_p334-r1.ebuild:
121 Stable on alpha, bug #369141
122
123*ruby-1.8.7_p334-r1 (31 May 2011)
124
125 31 May 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334-r1.ebuild:
126 Revision bump for security bug 369141 (CVE-2011-0188)
127
128*ruby-1.9.2-r1 (16 May 2011)
129
130 16 May 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.9.2-r1.ebuild:
131 Don't remove racc files since all other ruby targets ship these files
132 themselves as well. Closes bug 363419.
133
134 13 Mar 2011; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p302.ebuild,
135 ruby-1.8.7_p334.ebuild:
136 Remove old version. Remove obsolete and unused old-style virtual/ruby.
137
138 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
139 Add ~alpha/~arm/~ia64/~s390/~sh/~sparc wrt #332593
140
141 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
142 Add append-flags -mieee on sh, bug #357559
143
144 26 Feb 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p334.ebuild:
145 alpha/arm/ia64/s390/sh stable wrt #355439
146
147 26 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org> ruby-1.9.2.ebuild:
148 Marked ~ppc64 wrt #332593
149
150 20 Feb 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
151 ruby-1.8.7_p334.ebuild:
152 x86 stable wrt security bug #355439
153
154 20 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org>
155 ruby-1.8.7_p334.ebuild:
156 ppc/ppc64 stable wrt #355439
157
158 19 Feb 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334.ebuild:
159 Stable on amd64 wrt bug #355439
160
161 19 Feb 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334.ebuild:
162 Stable for HPPA (bug #355439).
163
164*ruby-1.8.7_p334 (19 Feb 2011)
165
166 19 Feb 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334.ebuild:
167 Version bump 1.8.7 series, security bug 355439
168
169 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
170 ruby-1.9.2.ebuild:
171 Remove PROVIDE for old-style virtual/ruby per bug 265054.
172
173 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
174 Remove masked ruby 1.8.6 per bug 332597.
175
176 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
177 -ruby-1.9.2_rc2.ebuild:
178 Removing old and vulnerable ebuilds
179
180 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
181 Marking ruby-1.8.7_p302 ppc64 for bug 332957
182
183 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
184 alpha/ia64/s390/sh/sparc stable wrt #332957
185
186*ruby-1.9.2 (24 Aug 2010)
187
188 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
189 metadata.xml:
190 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
191 and x86-fbsd due to a new dependency on rdoc.
192
193 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
194 arm stable, bug #332957
195
196 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
197 ruby-1.8.7_p302.ebuild:
198 x86 stable wrt security bug #332957
199
200 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
201 Stable on amd64 wrt bug #332957
202
203 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
204 Stable for PPC (bug #332957).
205
206 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
207 Stable for HPPA (bug #332957).
208
209*ruby-1.8.7_p302 (21 Aug 2010)
210
211 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
212 +ruby-1.8.7_p302.ebuild:
213 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
214 installation path.
215
216*ruby-1.8.6_p399 (19 Aug 2010)
217
218 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
219 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
220 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
221 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
222 installation path (reported by the x86 team in bug 332597)
223
224*ruby-1.9.2_rc2-r1 (18 Aug 2010)
225
226 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
227 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
228 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
229 the rubygems loading code. Add USE flag for psych.
230
231 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
232 ruby-1.9.2_rc2.ebuild:
233 Remove two keepdir that will try to keep an empty path, closes bug
234 #333163.
235
236 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
237 Marked ~ppc (bug #332593).
238
239 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
240 ruby-1.9.2_rc2.ebuild:
241 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
242
243 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
244 ruby-1.8.7_p299.ebuild:
245 Bump eselect-ruby dependency
246
247 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
248 -ruby-1.9.1_p429.ebuild:
249 Remove ebuild that is not target for unmask anyway.
250
251 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
252 ruby-1.9.2_rc2.ebuild:
253 Try 2 to fix the berkdb 5 issue on 1.9.
254
255 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
256 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
257 ruby-1.9.2_rc2.ebuild:
258 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
259 support for adding new patchsets without bumping the revision for all the
260 old ebuilds as well.
261
262*ruby-1.9.2_rc2 (14 Jul 2010)
263
264 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
265 +ruby-1.9.2_rc2.ebuild:
266 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
267 might cause _further_ build failures as it changed slightly behaviour.
268 You're going to need to rebuild rubygems and then all the packages
269 previously installed after upgrading to this.
270
271 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
272 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
273 -ruby-1.9.1_p376.ebuild:
274 Cleanup old versions.
275
276*ruby-1.9.1_p429 (04 Jul 2010)
277
278 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
279 +ruby-1.9.1_p429.ebuild:
280 Version bump to new 1.9.1 release.
281
282*ruby-1.8.7_p299 (23 Jun 2010)
283
284 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
285 +ruby-1.8.7_p299.ebuild:
286 Version bump.
287
288 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
289 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
290 remove useless comments
291
292 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
293 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
294 ruby-1.9.1_p376.ebuild:
295 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
296 dev.gentoo.org now.
297
298 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
299 ruby-1.9.1_p376.ebuild:
300 Use the correct RUBYLIB.
301
302*ruby-1.8.7_p249-r2 (18 May 2010)
303*ruby-1.8.6_p388-r1 (18 May 2010)
304
305 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
306 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
307 ruby-1.9.1_p376.ebuild, metadata.xml:
308 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
309 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
310 add USE flags for ncurses, readline and libedit, and properly depend on
311 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
312 Emacs versions support ruby-mode themselves and it should be even more
313 updated.
314
315*ruby-1.8.7_p249-r1 (06 May 2010)
316
317 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
318 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
319 309789 by Sune Kloppenborg Jeppesen.
320
321 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
322 ruby-1.8.7_p249.ebuild:
323 Use $PVR instead of $PV in patchset names
324
325 06 May 2010; Alex Legler <a3li@gentoo.org>
326 -files/ruby-1.8.6-memory-leak.diff,
327 -files/ruby18-mkmf-parallel-install.patch,
328 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
329 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
330 Remove old version. Cleanup in files/
331
332*ruby-1.9.1_p376 (01 May 2010)
333
334 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
335 Version bump. Fixes security bugs 296052 and 300468. No longer installs
336 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
337 instead.
338
339 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
340 -ruby-1.8.7_p174-r1.ebuild:
341 Remove vulnerable ebuilds, 300468
342
343 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
344 ruby-1.8.7_p249.ebuild:
345 amd64 stable, security bug 300468
346
347 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
348 ruby-1.8.7_p249.ebuild:
349 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
350
351 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
352 Stable for HPPA (bug #300468).
353
354 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
355 Stable for HPPA (bug #300468).
356
357 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
358 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
359
360 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
361 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
362
363 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
364 ruby-1.8.6_p388.ebuild:
365 stable x86, security bug 300468
366
367 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
368 ruby-1.8.7_p249.ebuild:
369 stable x86, security bug 300468
370
371*ruby-1.8.6_p388 (10 Jan 2010)
372
373 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
374 +ruby-1.8.6_p388.ebuild:
375 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
376 version. The new ebuild also has the fix for bug 168939.
377
378*ruby-1.8.7_p249 (10 Jan 2010)
379
380 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
381 +ruby-1.8.7_p249.ebuild:
382 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
383 version
384
385 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
386 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
387
388*ruby-1.8.7_p248 (25 Dec 2009)
389
390 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
391 Version bump
392
393 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
394 Remove old version.
395
396 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
397 Remove old version.
398
399 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
400 ia64/s390/sh stable wrt #288699
401
402 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
403 stable sparc, bug 288699
404
405 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
406 arm stable, bug #288699
407
408 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
409 amd64/x86 stable, bug #288699
410
411 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
412 ruby-1.8.7_p174-r1.ebuild:
413 Stable on alpha, bug #288699
414
415 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
416 ppc stable #288699
417
418 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
419 Stable for HPPA (bug #288699).
420
421 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
422 Marked ~hppa too.
423
424*ruby-1.8.7_p174-r1 (06 Oct 2009)
425
426 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
427 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
428 eselect-ruby cleanup feature.
429
430*ruby-1.9.1_p243 (09 Sep 2009)
431
432 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
433 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
434 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
435 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
436 -files/ruby19-rubygems-proxy.patch,
437 -files/ruby-1.9.1_p129-parallelmake.patch,
438 -files/ruby19-mkmf-parallel-install.patch:
439 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
440 168939. Cleaning up old patches.
441
442*ruby-1.8.6_p383 (20 Aug 2009)
443
444 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
445 Patchlevel bump.
446
447 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
448 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
449 ruby-1.9.1_p129-r1.ebuild:
450 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
451
452 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
453 Removing vulnerable ebuild, bug 273213.
454
455 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
456 Marking ruby-1.8.6_p369 ppc for bug 273213
457
458 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
459 ruby-1.9.1_p129-r1.ebuild:
460 Prepend our library path instead of overwriting it during src_install.
461 Thanks to the reporter of bug #274824.
462
463*ruby-1.8.7_p174 (18 Jun 2009)
464
465 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
466 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
467 Replacing 187_p173 with _p174 because of a regression. Unifying the
468 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
469 patchsets.
470
471 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
472 Marking ruby-1.8.6_p369 ppc64 for bug 273213
473
474 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
475 arm/ia64/s390/sh/sparc stable wrt #273213
476
477 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
478 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
479 Removing old version, minor cleanup
480
481 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
482 -files/ruby-1.8.6-openssl.patch,
483 -files/ruby-1.8.6-shortname_constants.patch,
484 -files/ruby-1.8.6_p111-r13657.patch,
485 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
486 Removing vulnerable old Ruby version and stale patches, bug 274108.
487
488 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
489 ruby-1.8.6_p369.ebuild:
490 Stable on alpha, bug #273213
491
492 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
493 Stable for HPPA (bug #273213).
494
495 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
496 ruby-1.8.6_p369.ebuild:
497 stable x86, security bug 273213
498
499 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
500 amd64 stable, security bug 273213.
501
502*ruby-1.8.7_p173 (10 Jun 2009)
503*ruby-1.8.6_p369 (10 Jun 2009)
504
505 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
506 +ruby-1.8.7_p173.ebuild:
507 Version bumps for bug #273213.
508
509*ruby-1.9.1_p129-r1 (27 May 2009)
510
511 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
512 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
513 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
514 +files/ruby-1.9.1_p129-parallelmake.patch:
515 Revision bump, add patches 1) to make Ruby behave more similarly between
516 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
517 extensions (undefined symbols in them will cause abort at runtime 3) to
518 remove a concurrency issue when building the dl extension that could
519 result in a broken dl.so.
520
521 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
522 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
523 Don't block rdoc-2 or later (which may enter Portage one day as it's
524 needed by some Rakefiles).
525
526 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
527 ruby-1.9.1_p129.ebuild:
528 Add ~x86-fbsd keyword.
529
530 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
531 keyword ~sparc-fbsd, bug #252315
532
533*ruby-1.9.1_p129 (15 May 2009)
534
535 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
536 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
537 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
538 included in every release.
539
540 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
541 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
542 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
543 ruby-1.8.7_p160.ebuild:
544 Removing vulnerable versions (#268515), fixing license (#233747).
545
546 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
547 Stable for HPPA (bug #268515).
548
549 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
550 Adapting rubygems notice.
551
552 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
553 amd64 stable, bug #268515.
554
555 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
556 arm/ia64/s390/sh/sparc stable wrt #268515
557
558 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
559 ruby-1.8.6_p368.ebuild:
560 stable x86, security bug 268515
561
562 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
563 ruby-1.8.6_p368.ebuild:
564 Stable on alpha, bug #268515
565
566 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
567 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
568
569*ruby-1.8.7_p160 (07 May 2009)
570*ruby-1.8.6_p368 (07 May 2009)
571
572 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
573 +ruby-1.8.7_p160.ebuild:
574 Version bump as per secbug 268515. NB: These are the first ebuilds that
575 no longer use ruby-config.
576
577*ruby-1.9.1-r1 (03 Apr 2009)
578*ruby-1.8.7_p72-r11 (03 Apr 2009)
579*ruby-1.8.6_p287-r13 (03 Apr 2009)
580
581 03 Apr 2009; Alex Legler <a3li@gentoo.org>
582 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
583 +files/ruby18-mkmf-parallel-install.patch,
584 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
585 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
586 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
587 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
588 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
589 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
590 happy.
591
592*ruby-1.9.1 (21 Mar 2009)
593
594 21 Mar 2009; Alex Legler <a3li@gentoo.org>
595 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
596 +ruby-1.9.1.ebuild:
597 Adding Ruby 1.9.1 for preliminary testing
598
599 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
600 ruby-1.8.6_p287-r12.ebuild:
601 Marked ~ppc for bug #252315.
602
603 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
604 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
605 bug 261982.
606
607 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
608 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
609 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
610 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
611 Cleanup
612
613*ruby-1.8.7_p72-r10 (07 Mar 2009)
614
615 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
616 +ruby-1.8.7_p72-r10.ebuild:
617 Add a revision of ruby 1.8.7 using eselect ruby.
618
619 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
620 ~mips keyworded, bug #252315.
621
622 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
623 ruby-1.8.6_p287-r5.ebuild:
624 ppc stable, bug #260006
625
626 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
627 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
628
629 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
630 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
631 Fixing Tk USE flag test, bug 258893.
632
633 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
634 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
635
636 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
637 ruby-1.8.6_p287-r5.ebuild:
638 amd64 stable wrt security bug #260006
639
640 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
641 Stable for HPPA (bug #260006).
642
643 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
644 ruby-1.8.6_p287-r5.ebuild:
645 Stable on alpha, bug #260006
646
647*ruby-1.8.7_p72-r2 (23 Feb 2009)
648*ruby-1.8.6_p287-r12 (23 Feb 2009)
649*ruby-1.8.6_p287-r5 (23 Feb 2009)
650
651 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
652 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
653 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
654 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
655 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
656 now before compilation if Tk useflags don't match) and 230748 (adding
657 --enable-option-checking=no for newer versions of autoconf).
658
659 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
660 arm/ia64/s390/sh/sparc stable wrt #254307
661
662 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
663 ruby-1.8.6_p287-r4.ebuild:
664 Stable on alpha, bug #254307
665
666 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
667 ruby-1.8.6_p287-r11.ebuild:
668 keyword ~x86-fbsd, bug #252315
669
670 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
671 ppc stable #254307
672
673 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
674 amd64/x86 stable, bug #254307
675
676 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
677 stable ppc64, bug 254307
678
679 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
680 Stable for HPPA (bug #254307).
681
682 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
683 ruby-1.8.6_p287-r11.ebuild:
684 Marked ~hppa (bug #252315).
685
686*ruby-1.8.6_p287-r11 (11 Jan 2009)
687
688 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
689 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
690 +ruby-1.8.6_p287-r11.ebuild:
691 Backport conditional definition of missing openssl functions from ruby 1.8.7.
692 Fixes #254307.
693
694 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
695 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
696
697 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
698 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
699
700 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
701 ruby-1.8.6_p287-r10.ebuild:
702 Add ~sparc keyword, bug #252315
703
704*ruby-1.8.6_p287-r10 (23 Dec 2008)
705
706 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
707 +ruby-1.8.6_p287-r10.ebuild:
708 Version bump which switches from ruby-config to eselect-ruby. Dropped most
709 keywords since eselect-ruby does not yet have these keywords.
710
711 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
712 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
713 Revert the ruby-config changes. We can't remove them until we provide an
714 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
715 for breaking things as mentioned in bug #251833.
716
717 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
718 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
719 ruby-1.8.7_p72-r1.ebuild:
720 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
721 Thanks for the people noticing this in bug #251833.
722
723 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
724 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
725 ruby-1.8.7_p72-r1.ebuild:
726 Drop dependency on ruby-config, which will be removed from the tree. We
727 currently only have one major version of ruby in the tree (Ruby 1.8), so there
728 is no need for ruby-config at this moment. For newer versions of Ruby we will
729 use eselect-ruby, which can be found in the ruby overlay at the moment.
730
731 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
732 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
733 Use mirror://ruby in SRC_URI, fixes #237392.
734
735 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
736 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
737 -ruby-1.8.7_p72.ebuild:
738 Remove old versions. Leave one old stable version with cjk support.
739
740*ruby-1.8.6_p287-r3 (29 Nov 2008)
741
742 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
743 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
744 +ruby-1.8.6_p287-r3.ebuild:
745 Fix our expansion limit patch according to debian bug report
746 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
747 make sure people will pick up the fixed version. Thanks to Alex Legler for
748 mentioning the patch.
749
750*ruby-1.8.7_p72-r1 (26 Nov 2008)
751*ruby-1.8.6_p287-r2 (26 Nov 2008)
752
753 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
754 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
755 +ruby-1.8.7_p72-r1.ebuild:
756 Fix problem with shortname constants #247790, already fixed in upstream SVN.
757 Thanks to Alex Legler for providing the patch.
758
759 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
760 -ruby-1.8.6_p287.ebuild:
761 Remove versions that will not become stable
762
763 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
764 ruby-1.8.6_p287-r1.ebuild:
765 ppc stable, bug #225465
766
767 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
768 ruby-1.8.6_p287-r1.ebuild:
769 amd64 stable wrt security bug #225465
770
771 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
772 alpha/ia64/x86 stable wrt #225465
773
774 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
775 ruby-1.8.6_p287-r1.ebuild:
776 Sparc stable --- Security Bug #225465 --- good since late August.
777
778 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
779 Stable on ppc64; bug #225465
780
781 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
782 Stable for HPPA (bug #225465).
783
784*ruby-1.8.6_p287-r1 (29 Aug 2008)
785
786 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
787 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
788 +ruby-1.8.6_p287-r1.ebuild:
789 Fix REXML security issues, bug #236060.
790
791 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
792 Add GLEP 56 USE flag descriptions.
793
794*ruby-1.8.7_p72 (15 Aug 2008)
795
796 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
797 +ruby-1.8.7_p72.ebuild:
798 bump 1.8.7 to latest patch release
799
800*ruby-1.8.6_p287 (11 Aug 2008)
801
802 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
803 Version bump for brown paper bag relelease.
804
805 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
806 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
807 Remove broken version in favor of the just-added 1.8.6_p286
808
809*ruby-1.8.6_p286 (10 Aug 2008)
810
811 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
812 Version bump to latest released version of ruby 1.8.6. This version fixes the
813 security issues reported in #225465 and #234224. The cjk USE flag has been
814 dropped since no compatible patches have been released yet.
815
816 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
817 ruby-1.8.6_p230.ebuild:
818 drop cjk from SRC_URI as well
819
820 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
821 Drop cjk support since the most recent oniguruma patches no longer apply to
822 this version, #230111.
823
824 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
825 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
826 Try to fix the security issues reported in #225465 for ruby 1.8.6.
827 Unfortunately the official p230 has a change which causes segmentation faults
828 for applications like Rails and RSpec, so we are reverting that specific
829 change.
830
831*ruby-1.8.7_p22 (29 Jun 2008)
832
833 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
834 +ruby-1.8.7_p22.ebuild:
835 bump 1.8.7 for security fix
836
837 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
838 nevermind, don't bump this yet
839
840*ruby-1.8.6_p230 (20 Jun 2008)
841
842 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
843 version bump
844
845*ruby-1.8.7 (10 Jun 2008)
846
847 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
848 +ruby-1.8.7.ebuild:
849 bump 1.8.7 to final
850
851*ruby-1.8.7_pre2 (21 Apr 2008)
852
853 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
854 +ruby-1.8.7_pre2.ebuild:
855 Version Bump
856
857*ruby-1.8.7_pre1 (16 Apr 2008)
858
859 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
860 Version bump. Drop cjk until a new version of oniguruma appears.
861
862 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
863 amd64 stable, bug 212264
864
865 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
866 Stable for HPPA (bug #212264).
867
868 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
869 ruby-1.8.6_p114.ebuild:
870 ppc stable, bug #212264
871
872 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
873 alpha/ia64 stable wrt #212264
874
875 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
876 ruby-1.8.6_p114.ebuild:
877 stable x86, security bug 212264
878
879 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
880 Sparc stable, Security Bug #212264, builds and installs, initial tests run
881 as expected.
882
883 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
884 Marking ruby-1.8.6_p114 ppc64 for bug 212264
885
886*ruby-1.8.6_p114 (05 Mar 2008)
887
888 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
889 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
890 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
891 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
892 Version bump for #212264. Remove old ebuilds.
893
894 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
895 alpha/ia64 stable wrt #208916
896
897 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
898 Stable on ppc wrt bug 208916
899
900 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
901 x86 stable, bug #208916
902
903 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
904 ruby-1.8.6_p111-r1.ebuild:
905 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
906
907 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
908 -files/ruby-1.8.6-exit-status.patch,
909 -files/ruby-1.8.6_p110-net-http-p111.patch,
910 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
911 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
912 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
913 Remove old versions
914
915 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
916 Stable on ppc64
917
918 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
919 Stable on amd64; bug 199191
920
921 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
922 alpha/ia64/sparc stable wrt #199191
923
924 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
925 Remove now-obsolete warning about coreutils versions, #203156.
926
927 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
928 Stable for HPPA (bug #199191).
929
930*ruby-1.8.6_p111-r1 (23 Dec 2007)
931
932 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
933 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
934 ssl USE flags. Patch to p113.
935
936 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
937 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
938
939 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
940 x86 stable, security bug #199191
941
942*ruby-1.8.6_p111 (23 Dec 2007)
943
944 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
945 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
946 Version bump with patch for bug #199191
947
948 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
949 Move dependency on (X)Emacs modes to PDEPEND.
950
951 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
952 Add back ~hppa keyword now that XEmacs support files have been keyworded,
953 bug 196413
954
955*ruby-1.8.6_p110-r2 (21 Oct 2007)
956
957 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
958 +ruby-1.8.6_p110-r2.ebuild:
959 Add emacs and xemacs USE flags and use them to pull in the correct editing
960 mode for each. Had to drop several arch keywords as reported on bug 196413.
961
962 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
963 amd64 stable, security bug 194236
964
965 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,
966 ruby-1.8.6_p110-r1.ebuild:
967 Stable on ppc64; bug #194236
968
969 09 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6-r1.ebuild:
970 amd64 stable, security bug 194236
971
972 08 Oct 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
973 Stable for HPPA (bug #194236).
974
975 08 Oct 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
976 alpha/ia64/sparc stable wrt security #194236
977
978 07 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
979 ruby-1.8.6_p110-r1.ebuild:
980 ppc stable, bug #194236
981
982 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
983 ruby-1.8.6_p110-r1.ebuild:
984 stable x86, security bug 194236
985
986 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
987 ruby-1.8.5_p113.ebuild:
988 stable x86, security bug 194236
989
990 07 Oct 2007; Richard Brown <rbrown@gentoo.org> -ruby-1.8.5_p35.ebuild,
991 -ruby-1.8.6_p36-r3.ebuild, -ruby-1.8.6_p36-r4.ebuild,
992 -ruby-1.8.6_p110.ebuild:
993 Remove old versions
994
995*ruby-1.8.6_p110-r1 (30 Sep 2007)
996*ruby-1.8.5_p113 (30 Sep 2007)
997
998 30 Sep 2007; Richard Brown <rbrown@gentoo.org>
999 +files/ruby-1.8.5_p113-net-http-p114.patch,
1000 +files/ruby-1.8.6_p110-net-http-p111.patch, +ruby-1.8.5_p113.ebuild,
1001 +ruby-1.8.6_p110-r1.ebuild:
1002 Fix bug #194236. Bump 1.8.6 to p111 as p110-r1. Bump 1.8.5 to p114 as p113,
1003 using 1.8.6-p110 as base ebuild.
1004
1005 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
1006 More fixes from gentoo-dev and graaff
1007
1008 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
1009 Implement suggestions from http://archives.gentoo.org/gentoo-dev/msg_147875.xml
1010
1011*ruby-1.8.6_p110 (24 Sep 2007)
1012
1013 24 Sep 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p110.ebuild:
1014 Version bump
1015
1016*ruby-1.8.6_p36-r4 (26 Aug 2007)
1017
1018 26 Aug 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
1019 +ruby-1.8.6_p36-r4.ebuild:
1020 Use user LDFLAGS, #181436
4 1021
5 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild, 1022 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild,
6 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild: 1023 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild:
7 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old 1024 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old
8 ebuilds, including the currently stable 1.8.5_p2-r1, #189241. 1025 ebuilds, including the currently stable 1.8.5_p2-r1, #189241.

Legend:
Removed from v.1.293  
changed lines
  Added in v.1.522

  ViewVC Help
Powered by ViewVC 1.1.20